Subject: Re: [PATCH 1/1] ARM: dts: meson8b: fix the operating voltage of the Mali GPU

From: Kevin Hilman <[email-masked]>
Date: Tue, 14 May 2019 17:01:37 -0700

Martin Blumenstingl <[email-masked]> writes:

> Amlogic's vendor kernel defines an OPP for the GPU on Meson8b boards
> with a voltage of 1.15V. It turns out that the vendor kernel relies on
> the bootloader to set up the voltage. The bootloader however sets a
> fixed voltage of 1.10V.
>
> Amlogic's patched u-boot sources (uboot-2015-01-15-23a3562521) confirm
> this:
> $ grep -oiE "VDD(EE|AO)_VOLTAGE[ ]+[0-9]+" board/amlogic/configs/m8b_*
>   board/amlogic/configs/m8b_m100_v1.h:VDDAO_VOLTAGE            1100
>   board/amlogic/configs/m8b_m101_v1.h:VDDAO_VOLTAGE            1100
>   board/amlogic/configs/m8b_m102_v1.h:VDDAO_VOLTAGE            1100
>   board/amlogic/configs/m8b_m200_v1.h:VDDAO_VOLTAGE            1100
>   board/amlogic/configs/m8b_m201_v1.h:VDDEE_VOLTAGE            1100
>   board/amlogic/configs/m8b_m201_v1.h:VDDEE_VOLTAGE            1100
>   board/amlogic/configs/m8b_m202_v1.h:VDDEE_VOLTAGE            1100
>
> Another hint at this is the VDDEE voltage on the EC-100 and Odroid-C1
> boards. The VDDEE regulator supplies the Mali GPU. It's basically a copy
> of the VCCK (CPU supply) which means it's limited to 0.86V to 1.14V.
>
> Update the operating voltage of the Mali GPU on Meson8b to 1.10V so it
> matches with what the vendor u-boot sets.
>
> Fixes: c3ea80b6138cae ("ARM: dts: meson8b: add the Mali-450 MP2 GPU")
> Signed-off-by: Martin Blumenstingl <[email-masked]>

Queued as a fix for v5.2-rc (branch: v5.2/fixes)

Kevin

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel